/* -*- Mode: C; c-file-style: "stroustrup"; -*- */
#ifndef __NXP_TICKET_SOURCE_H__
#define __NXP_TICKET_SOURCE_H__

#include <glib.h>

G_BEGIN_DECLS

typedef struct _NxpTicketSource NxpTicketSource;

NxpTicketSource* nxp_ticket_source_new           (void);
guint32          nxp_ticket_source_create_ticket (NxpTicketSource *self,
						  gpointer         data);
void             nxp_ticket_source_free_ticket   (NxpTicketSource *self,
						  guint32          ticket);
gpointer         nxp_ticket_source_lookup_ticket (NxpTicketSource *self,
						  guint32          ticket);
guint32          nxp_ticket_source_lookup_data   (NxpTicketSource *self,
						  gpointer         data);
void             nxp_ticket_source_destroy       (NxpTicketSource *self);


G_END_DECLS

#endif
