/* -*- c -*- */
#include <gsl/gsl_sf_synchrotron.h>
#include "nxp_kernel.h"
#include "gsl.h"


static NxpElement *nxp_gsl_sf_synchrotron_1(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_synchrotron_1(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_synchrotron_2(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_synchrotron_2(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}


void
nxp_gsl_sf_synchrotron_init(NxpEvalContext * context)
{
    NxpIdentifier  *id;
nxp_name_space_new(context->cwd,"gsl");
nxp_name_space_new(nxp_name_space_find_child(context->cwd,"gsl"),"synchrotron");
id = nxp_identifier_new_with_full_path(3,"gsl","synchrotron", "synchrotron1");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_synchrotron_1, NULL, nxp_gsl_sf_synchrotron_1, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","synchrotron", "synchrotron2");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_synchrotron_2, NULL, nxp_gsl_sf_synchrotron_2, context, NULL); nxp_identifier_unref(id);
}
